> For the complete documentation index, see [llms.txt](https://docs.ionicfirebaseapp.com/clothingapp/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionicfirebaseapp.com/clothingapp/clothing-app/social-api.md).

# Social API

### **Create Facebook App ID and setup of user Login**

To use the FB plugin, you first have to create a new Facebook App with your Facebook developer portal at <https://developers.facebook.com/apps>.

![](/files/-LCT5EAV_M6-Tb4EnzFe)

Retrieve the `App ID` and `App Name`

![](/files/-LCT5NXozz6Pnkwz1m_h)

Then type in the following command in your Terminal, where APP\_ID and APP\_NAME are the values from the Facebook Developer portal .

You can replace APP\_NAME and APP\_ID in config.xml file.

Now you'll need to add the native platforms you'll be using to your app in the Facebook Developer portal under your app's Settings:

![](/files/-LCT5uzOG79eR7kGZIga)

\
Click `'Add Platform'`

![](/files/-LCT6-eSqP0qTCWAwgVW)

Now you need to open your project's [`config.xml`](https://cordova.apache.org/docs/en/latest/config_ref/index.html)file, found in the root directory of your project.

You need to copy your id, You are free to keep any id that unique.<br>

![](/files/-LCT673yqveRpX-YmRfd)

### Check`Single Sign On.`

**Android Install**

Add platform android

Set your Google Play Package Name. You can find your name in your platforms/android/AndroidManifest.xml file.

\<manifest android:hardwareAccelerated="true" android:versionCode="1" android:versionName="0.0.1" package="com.ionicframework.ionic2fblogin864493" xmlns:android="\[\[\[\[[http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt)\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt))\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt)\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt\](http://schemas.android.com/apk/res/android"\&gt)))\\](http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt%29]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt%29%29]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt%29]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt]%28http://schemas.android.com/apk/res/android%22\&gt%29%29%29/));<br>

Check Single Sign On

```
Set the Class Name to com.facebook.FacebookActivity

Generate your own [Key Hash](https://ionicthemes.com/tutorials/about/ionic2-facebook-login).  please follow that tutorial how to create key Hash.
```

![](/files/-LCT6XC2qkS7ExfkPw82)

If you have follow all those setup properly, you will accomplish your mission :). You may also follow these article that might help you [ionic facebook native ](https://ionicframework.com/docs/native/facebook/)and [ionic facebook native 2](https://ionicthemes.com/tutorials/about/ionic2-facebook-login).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionicfirebaseapp.com/clothingapp/clothing-app/social-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
